-- луа виджет, который при отрисовке останавливает отрисовку в сурфейс,
-- который будет обрабатываться шейдером
shader_stop = {}

__inherite(shader_stop, null_lua_widget_handler())

function shader_stop.__CreateInstance()
    return "shader_stop"
end

function shader_stop.Load(_this, _info, _templates)
	return true
end

function shader_stop.DoUpdate(_this)
	return false
end

function shader_stop.DoDraw(_this, _renderer)
    s11.effects.FlushShaderSurface(_renderer)
	return false
end

function shader_stop.OnMouseMove(_this, _pos, _state, _broadcast)
    return false
end

function shader_stop.OnMouseUp(_this, _pos, _button, _state, _broadcast)
    return false
end

function shader_stop.OnMouseDown(_this, _pos, _button, _state, _broadcast)
    return false
end

function shader_stop.OnDoubleClick(_this, _pos, _state, _broadcast)
    return true
end
